io.milvus.param.role

## Class DropRoleParam.Builder

- java.lang.Object
- - io.milvus.param.role.DropRoleParam.Builder

Enclosing class:
  DropRoleParam

    public static final class DropRoleParam.Builder
    extends java.lang.Object

Builder for `DropRoleParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`DropRoleParam` `build()` Verifies parameters and creates a new `DropRoleParam` instance.
`DropRoleParam.Builder` `withRoleName(@NonNull java.lang.String roleName)` Sets the roleName.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withRoleName

    public DropRoleParam.Builder withRoleName(@NonNull
                                              @NonNull java.lang.String roleName)

Sets the roleName. RoleName cannot be empty or null.

Parameters:
  `roleName` - roleName
Returns:
  `Builder`

#### build

    public DropRoleParam build()
                        throws ParamException

Verifies parameters and creates a new `DropRoleParam` instance.

Returns:
  `DropRoleParam`
Throws:
  `ParamException`